Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.oci.xa
Class XAConnection

    java.lang.Object
      |
      +--weblogic.jdbc.oci.Connection
            |
            +--weblogic.jdbc.oci.xa.XAConnection

public final class XAConnection
extends Connection
implements javax.sql.XAConnection

Each XA connection corresponds to a database connection. It has an OCI JDBC connection, to which it delegates JDBC 2.0 API calls.

Author:
  Copyright (c) 1998-2000 by BEA WebXpress, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbc.oci.Connection
`allowmixedmetadata, driver, insPieceLength, lobs, meta, ociconn, selPieceLength, url, warnings`

Method Summary
`void` | `addConnectionEventListener(javax.sql.ConnectionEventListener listener)`
`void` | `close()`
`java.sql.Statement` | `createStatement(int a, int b, int c)`
`java.sql.Connection` | `getConnection()`
`int` | `getHoldability()`
`javax.transaction.xa.XAResource` | `getXAResource()`
`java.sql.CallableStatement` | `prepareCall(java.lang.String a, int b, int c, int d)`
`void` | `releaseSavepoint(java.sql.Savepoint a)`
`void` | `removeConnectionEventListener(javax.sql.ConnectionEventListener listener)`
`void` | `rollback(java.sql.Savepoint a)`
`void` | `setHoldability(int a)`
`java.sql.Savepoint` | `setSavepoint()`
`java.sql.Savepoint` | `setSavepoint(java.lang.String a)`

Methods inherited from class weblogic.jdbc.oci.Connection
`addLob, autocommitState, checkIfClosed, closeLob, connectionName, connectionState, datewidth, datewidth, driverType, getAllConnections, getDescription, getName, getNumberOfConnections, getNumberOfStatements, isolationLevel, lastSQL, prefetchSize, prepareStatement, prepareStatement, prepareStatement, prepareStatement, removeLob, resourcesQueuing, setLockArrayFetch, setLockBindCursorByPosition, setLockBindSelectItem, setLockBindVariableByPosition, setLockCancel, setLockClose, setLockDescribe, setLockExec, setLockExecAndFetch, setLockFetch, setLockOopt, setLockOpen, setLockParse, setOciVerbose, sharedLibVersion, statementCount, supportsPrefetch, waitOnResources, weblogicVersion`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getXAResource

    public javax.transaction.xa.XAResource getXAResource()
                                                  throws java.sql.SQLException

  Specified by:
    getXAResource in interface javax.sql.XAConnection

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

### close

    public void close()
               throws java.sql.SQLException

  Overrides:
    close in class Connection

### addConnectionEventListener

    public void addConnectionEventListener(javax.sql.ConnectionEventListener listener)

### removeConnectionEventListener

    public void removeConnectionEventListener(javax.sql.ConnectionEventListener listener)

### releaseSavepoint

    public void releaseSavepoint(java.sql.Savepoint a)
                          throws java.sql.SQLException

  Overrides:
    releaseSavepoint in class Connection

### rollback

    public void rollback(java.sql.Savepoint a)
                  throws java.sql.SQLException

  Overrides:
    rollback in class Connection

### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

  Overrides:
    getHoldability in class Connection

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String a,
                                                  int b,
                                                  int c,
                                                  int d)
                                           throws java.sql.SQLException

  Overrides:
    prepareCall in class Connection

### setHoldability

    public void setHoldability(int a)
                        throws java.sql.SQLException

  Overrides:
    setHoldability in class Connection

### createStatement

    public java.sql.Statement createStatement(int a,
                                              int b,
                                              int c)
                                       throws java.sql.SQLException

  Overrides:
    createStatement in class Connection

### setSavepoint

    public java.sql.Savepoint setSavepoint()
                                    throws java.sql.SQLException

  Overrides:
    setSavepoint in class Connection

### setSavepoint

    public java.sql.Savepoint setSavepoint(java.lang.String a)
                                    throws java.sql.SQLException

  Overrides:
    setSavepoint in class Connection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference